<?php 

include './sc.php';
$Star_re = $_POST['Star'];
if (!isValidInteger($Star_re)) {
die("数据不规范");
}

if ($Star_re>$Star) {
die("您的Star不足");
}

$Star = $Star-$Star_re;

$bi += $Star_re*1500;
 
// 定义要检查的文件路径
$filename = './me/' . $user . '/' . $pass . '/Star.txt'; // 目录路径
@file_put_contents($filename,$Star);
// 定义要检查的文件路径
$filename = './me/' . $user . '/' . $pass . '/bi.txt'; // 目录路径
@file_put_contents($filename,$bi);

echo "兑换成功";



?>